List all parent links for a product.
List all parent links for a product.
get/tenants/{tenantUid}/products/{productUid}/links/parents
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
productUidstringRequiredPattern:
Reference to a Product.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Query parameters
productLinkTypestring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| INSURANCE | Insurance products allowed to be added to the product |
| ALTERNATIVE | Alternative products if the main product is not available |
| ACCESSORY | Accessory products for the main product |
| SPARE_PART | Spare part that can be used to repair the product |
| SERVICE | Service products. |
| FREIGHT_SERVICE | Freight service products. |
| AUTO_ADD | The products will be auto added to the order and can not be removed without removing the main product. |
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Responses
200
Example response
application/json
get/tenants/{tenantUid}/products/{productUid}/links/parents
GET /v2/tenants/{tenantUid}/products/{productUid}/links/parents HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"productLinkUid": "text",
"linkType": "INSURANCE",
"parentProductUid": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

